slepc-3.10.1 2018-10-23
Report Typos and Errors

# SVDSetFromOptions

Sets SVD options from the options database. This routine must be called before SVDSetUp() if the user is to be allowed to set the solver type.

### Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDSetFromOptions(SVD svd)

Collective on SVD

### Input Parameters

| svd | - the singular value solver context

### Notes

To see all options, run your program with the -help option.

### See Also

Location: src/svd/interface/svdopts.c
Index of all SVD routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/svd/examples/tutorials/ex8.c.html
src/svd/examples/tutorials/ex14.c.html
src/svd/examples/tutorials/ex15.c.html
src/svd/examples/tutorials/ex15f.F.html